Categories
Create category
Create a new category
POST
/
categories
Create category
curl --request POST \
--url https://cookiechimp.com/api/v1/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"required": true
}
'import requests
url = "https://cookiechimp.com/api/v1/categories"
payload = {
"name": "<string>",
"description": "<string>",
"required": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', required: true})
};
fetch('https://cookiechimp.com/api/v1/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "essential",
"name": "Essential",
"description": "Cookies essential for website functionality",
"required": true,
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-02T00:00:00Z"
}{
"error": {
"code": 400,
"message": "Invalid request"
}
}Authorizations
API token obtained from the login endpoint or the dashboard
Body
application/json
Category to create
Response
Created category
Name of the category that is displayed to users
Description of the category that is displayed to users
Whether the category is required for the website to function
Unique identifier for the category
Date and time when the category was created
Date and time when the category was last updated
Was this page helpful?
⌘I
Create category
